Session list - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service returns the analytics sessions that happened during a specific period.

Method Endpoint
POST
/analytics/api/v1/traffic/session/list

Request example

The following example shows a JSON request body for this web service:

{
    "startDate": "2026-04-16T13:26:44",
    "endDate": "2026-04-17T13:26:44",
    "paging": {
        "page": 1,
        "perPage": 50
    },
    "sortOrder": {
        "field": "sessionStart",
        "order": "desc"
    },
    "filters": {
        "interfaceLanguage": "en-US",
        "authenticated": true, 
        "userId": "4df66740-1125-4682-886e-bc56e7e041cf", 
        "bot":true
    }
}
Field Type Required? Description
startDate String Yes The inclusive start date of the period. Its format can be YYYY-MM-DD, YYYY-MM-DDTHH:MM or YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
The value must be within the analytics data retention period.
endDate String Yes The exclusive end date of the period. Must be later than the startDate. Its format can be YYYY-MM-DD, YYYY-MM-DDTHH:MM or YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
The value must be within the analytics data retention period.
paging Object No An object that contains page and perPage.
page Number No Indicates the current page, the default value is 1.
perPage Number No The number of results per page, the default value is 10.
sortOrder Object No An object to sort results.
field String Yes Takes one of the following values as input:
  • authenticated

    Indicates whether the user was authenticated.

  • bot

    If at least one event during the session is identified as a bot, the bot field is true. Otherwise, it is false.

    For more information on how bots are detected as such, see bot identification.
  • languages

    The interface languages used by the user during the session.

  • sessionEnd

    The end time of the session, as a UNIX timestamp.

  • sessionStart

    The start time of the session, as a UNIX timestamp.

order String Yes Takes asc or desc as input to sort results by the specified field in ascending or descending order.
filters Object No The filters element contains the interfaceLanguage, authenticated and userId elements.
interfaceLanguage String No Takes an interface language as input, and only returns user sessions for this interface language, if provided. Its format is, for example, fr-FR, where fr is the language, French, and FR is the country, France.
authenticated Boolean No If true, Fluid Topics only returns sessions where the user was logged in at some point during the session. If false, the user never logged in.
userId String No Takes a user ID as input, and only returns the user's sessions if provided.
bot Boolean No If true, Fluid Topics only returns sessions where at least one user event has been identified as coming from a bot. If false, Fluid Topics returns only sessions that do not contain any event coming from a bot.
For more information on how bots are detected as such, see bot identification.

Response body

The following example shows a JSON response body for this web service:

{
    "startDate": "2026-04-16T13:26:44",
    "endDate": "2026-04-17T13:26:44",
    "paging": {
        "page": 1,
        "perPage": 50,
        "totalCount": 76,
        "lastPage": false
    },
    "results": [
        {
            "analyticsSessionId": "9d34ad6c-1f4f-41c8-9z09-7f09ac6bfdbu",
            "userDetails": {
                "id": "1c1d764a-51b6-422a-90kd-y1345daaff73",
                "realm": "sso",
                "groups": [
                    "ft:administrator",
                    "antidot",
                    "ft:authenticated"
                ],
                "roles": [
                    "SAVED_SEARCH_USER",
                    "GENERATIVE_AI_EXPORT_USER",
                    "GENERATIVE_AI_USER",
                    "PERSONAL_BOOK_SHARE_USER",
                    "PRINT_USER",
                    "KHUB_ADMIN",
                    "PDF_EXPORT_USER",
                    "HTML_EXPORT_USER",
                    "ADMIN",
                    "PERSONAL_BOOK_USER",
                    "COLLECTION_USER",
                    "FEEDBACK_USER",
                    "DEBUG_USER",
                    "ANALYTICS_USER",
                    "PORTAL_ADMIN",
                    "RATING_USER",
                    "OFFLINE_USER",
                    "BEHAVIOR_DATA_USER"
                ]
            },
            "sessionDetails": {
                "sessionStart": 1776431630,
                "sessionEnd": 1776431668,
                "languages": [
                    "en-US"
                ],
                "authenticated": [
                    true
                ],
                "bot": false
            },
            "sessionMetrics": {
                "activeDuration": 38,
                "eventCount": 7,
                "pageViewCount": 3,
                "searchCount": 4,
                "documentViewCount": 0,
                "topicViewCount": 0,
                "uniqueSearchQueryCount": 3,
                "searchWithNoResultsCount": 0,
                "uniqueSearchQueryWithNoResultsCount": 0,
                "searchInDocCount": 0,
                "uniqueSearchQueryInDocCount": 0,
                "searchInDocWithNoResultsCount": 0,
                "uniqueSearchQueryInDocWithNoResultsCount": 0
            }
        }
    ]
}
Field Type Description
startDate String The inclusive start date of the period as defined in the input.
endDate String The exclusive end date of the period as defined in the input.
paging Object An element that contains the lastPage, page, perPage, and totalCount elements.
page Integer The current page of results.
perPage Integer The number of results per page.
totalCount Integer The total number of available results.
lastPage Boolean A boolean operator indicating whether the page is the last page of results.
results Array An array containing the results.
analyticsSessionId String A unique identifier representing the requested analytics session.
userDetails Object An object providing information about the user of the session.
id String The user's unique ID.
The id value is an empty string if the user did not log in during the session.
realm String The user's realm.
Fluid Topics only returns the realm for request from users with the USERS_ADMIN or ADMIN role.
groups Array An array containing the user groups the user belonged to during the session.
Fluid Topics only returns the roles array for requests from USERS_ADMIN or ADMIN users.
roles Array An array containing the roles the user had during the session.
Fluid Topics only returns the roles array for requests from USERS_ADMIN or ADMIN users.
sessionDetails Object An object providing details about the session.
sessionStart Integer The time and date for the start of the session, expressed as a UNIX timestamp.
sessionEnd Integer The time and date for the end of the session, expressed as a UNIX timestamp.
languages Array An array containing all interface languages used by the user during the session.
The format for languages is, for example, fr-FR, where fr is the language, French, and FR is the country, France.
authenticated Array Indicates whether the user was authenticated.
A session can have [false, true] as the value for authenticated. This means that the user connected during the session. It is not possible for the value to be [true, false].
bot Boolean If at least one event during the session is identified as a bot, the bot field is true. Otherwise, it is false.
For more information on how bots are detected as such, see bot identification.
sessionMetrics Object An object providing metrics about the session.
activeDuration Integer The time in seconds between the first and the last event of the session.
eventCount Integer The number of events during the session.
pageViewCount Integer The number of page views during the session (page.display event).
searchCount Integer The number of searches during the session (khub.search event).
documentViewCount Integer The number of documents viewed during this session (document.start_display event).
topicViewCount Integer The number of topics viewed during the session (topic.start_display event).
uniqueSearchQueryCount Integer The number of searches with different search terms during the session.
searchWithNoResultsCount Integer The number of searches with no results during the session.
uniqueSearchQueryWithNoResultsCount Integer The number of searches with different search terms and no results during the session.
searchInDocCount Integer The number of searches in document during the session.
uniqueSearchQueryInDocCount Integer The number of searches in document with different search terms during the session.
searchInDocWithNoResultsCount Integer The number of searches in document with no results during the session.
uniqueSearchQueryInDocWithNoResultsCount Integer The number of searches in document with different search terms and no results during the session.
Return code Description
200 OK Returns data in JSON format.